/*
UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
MIAGE - UFR 27
Cours ISI5 / INF2 - Developpement d'Interface

 */
package ihmexamples.international;

import java.text.MessageFormat;
import java.util.Currency;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 *
 * @author kirsch
 */
public class RessourceBundleDemo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Locale loc = Locale.getDefault();
        Currency currency = Currency.getInstance(loc);

        ResourceBundle rb =
                  ResourceBundle.getBundle("Resources", loc);

        String pattern = rb.getString("Label4");
        String label4 = MessageFormat.format(pattern, currency.getSymbol());

        String label1 = rb.getString("Label1");
        System.out.println (loc.getDisplayName() + ":\n\t" + label1 + "\n\t" + label4);

        
        loc = new Locale("en", "US");

        rb = ResourceBundle.getBundle("Resources", loc);
        currency = Currency.getInstance(loc);

        pattern = rb.getString("Label4");
        MessageFormat mf = new MessageFormat(pattern, loc);
        Object[] pars = {(Object) currency.getSymbol() };
        label4 = mf.format(pars);

        label1 = rb.getString("Label1");
        System.out.println (loc.getDisplayName() + ":\n\t" + label1 + "\n\t" + label4);
    }
}
