/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

/*
 * InnerAsListener.java
 *
 * Created on 9 janv. 2009, 02:51:40
 */

package ihmexamples;

import java.awt.event.ActionEvent;

/**
 *
 * @author kirsch
 */
public class InnerAsListener extends java.awt.Frame {

    /** Creates new form InnerAsListener */
    public InnerAsListener() {
        this.count = 0;
        myInitComponents();
    }

       private void myInitComponents() {

        button1 = new java.awt.Button();
        label1 = new java.awt.Label();

        addWindowListener (new MyWindowListener());

        button1.setLabel("Click me!");
        add(button1, java.awt.BorderLayout.CENTER);
        button1.addActionListener(new MyActionListener());

        label1.setText("my label");
        add(label1, java.awt.BorderLayout.SOUTH);

        pack();
    }


    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new InnerAsListener().setVisible(true);
            }
        });
    }

    /** Exit the Application */
    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }


    // Variables declaration
    private java.awt.Button button1;
    private java.awt.Label label1;
    // End of variables declaration

    private int count;

    private class MyActionListener implements java.awt.event.ActionListener {
        public void actionPerformed(ActionEvent e) {
            label1.setText("Click "+ (++count));
        }
    }

    private class MyWindowListener extends java.awt.event.WindowAdapter {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
    }
}
