/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

package ihmexamples.international;

import java.util.Locale;

/**
 * Cet exemple liste les locales disponibles ("installee") dans le systeme
 * il utilise pour cela la locale courrante
 *
 * @author kirsch
 */
public class ListLocales {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Locale current = Locale.getDefault();
        Locale available[] = Locale.getAvailableLocales();
        
        System.out.println ("Langue      Pays       Code ISO3");
        System.out.println ("===========================");
        for (Locale loc : available) {
            String lang = loc.getDisplayLanguage(current);
            String country = loc.getDisplayCountry(current);
            String codeLang = loc.getISO3Language();
            String codeCount = loc.getISO3Country();
            
            System.out.printf("%s    %s    %s_%s \n", lang, country, codeLang, codeCount);
        }
    }

}
