/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

/*
 * ClassAsListener.java
 *
 * Created on 9 janv. 2009, 01:58:43
 */

package ihmexamples.listeners;


import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

/**
 * Exemple de Listener implemente par le propre classe
 * @author kirsch
 */
public class ClassAsListener extends Frame implements ActionListener, WindowListener  {

    /** Creates new form ClassAsListener */
    public ClassAsListener() {
        myinitComponents();
    }

    private void myinitComponents() {
        addWindowListener(this);

        button1 = new java.awt.Button();
        label1 = new java.awt.Label();

        button1.setLabel("Click me!!");
        add(button1, java.awt.BorderLayout.CENTER);
        button1.addActionListener(this);

        label1.setText("my label");
        add(label1, java.awt.BorderLayout.SOUTH);

        pack();
    }

    public void actionPerformed(ActionEvent e) {
        label1.setText("Click!!!!");
    }

    public void windowClosing(WindowEvent e) {
           System.exit(0);
    }

    public void windowOpened(WindowEvent e) {

    }

    public void windowClosed(WindowEvent e) {

    }

    public void windowIconified(WindowEvent e) {

    }

    public void windowDeiconified(WindowEvent e) {

    }

    public void windowActivated(WindowEvent e) {

    }

    public void windowDeactivated(WindowEvent e) {

    }


    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ClassAsListener().setVisible(true);
            }
        });
    }


    // Variables declaration
    private java.awt.Button button1;
    private java.awt.Label label1;
    // End of variables declaration

}
