/*
UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
MIAGE - UFR 27
Cours ISI5 / INF2 - Developpement d'Interface

 */
package ihmexamples.volumeapplication;

/**
 *
 * @author kirsch
 */
public class VolumeApplication {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        VolumeModel model = new VolumeModel(25);

        VolumeController controller1 = new VolumeController(model);

        VolumeListView listView = new VolumeListView(controller1, model.getVolume());
        VolumeSpinnerView spinnerView = new VolumeSpinnerView(controller1, model.getVolume());
        VolumeSliderView sliderView = new VolumeSliderView(controller1, model.getVolume());
        VolumeProgressView progressView = new VolumeProgressView(controller1, model.getVolume());

        spinnerView.setLocation((int) listView.getSize().getWidth() + 10,
                (int) (listView.getSize().getHeight() / 2));
        sliderView.setLocation((int) (listView.getSize().getWidth() +
                spinnerView.getSize().getWidth() + 10),
                (int) (spinnerView.getSize().getHeight() / 2));
        progressView.setLocation ((int) (listView.getSize().getWidth() +
                spinnerView.getSize().getWidth() +
                sliderView.getSize().getWidth() + 10),
                (int) (sliderView.getSize().getHeight() / 2));

        controller1.displayViews();
    }
    
}
